#include "R2Vek.h"

void R2Vek::norm()
{
	double b = betrag();
	x /= b;
	y /= b;				
}

void R2Vek::add(const R2Vek& vp)
{
	x += vp.x;
	y += vp.y;
}

void R2Vek::sub(const R2Vek& vp)
{
	x -= vp.x;
	y -= vp.y;
}

double R2Vek::skalp(const R2Vek& vp) const
{
	return x*vp.x + y*vp.y;
}

double R2Vek::winkel(const R2Vek& vp) const
{
	return acos(skalp(vp)/(betrag()*vp.betrag()));
}

void R2Vek::drehe(double rad)
{
	double cosa = cos(rad);
	double sina = sin(rad);
	double oldx = x;
	x = cosa*x - sina*y;
	y = sina*oldx + cosa*y;
}

