#include "HalloMFC.h"

CHalloMFCApp halloMFCApp;

BOOL CHalloMFCApp::InitInstance()
{
	m_pMainWnd = new CHalloMFCWnd;
	m_pMainWnd->ShowWindow(m_nCmdShow);
	m_pMainWnd->UpdateWindow();
	
	return TRUE;
}

BEGIN_MESSAGE_MAP (CHalloMFCWnd, CFrameWnd)
	ON_WM_CREATE()
	ON_WM_PAINT()
END_MESSAGE_MAP()

CHalloMFCWnd::CHalloMFCWnd()
{
	LPCTSTR myWC;
	myWC = AfxRegisterWndClass( CS_HREDRAW | CS_VREDRAW,
					           LoadCursor(NULL,IDC_WAIT),
					           (HBRUSH) (COLOR_WINDOW + 1),
							   LoadIcon(NULL, IDI_WINLOGO)); 
		
	Create(myWC, "MFC-Anwendung", WS_OVERLAPPEDWINDOW, CRect(300, 200, 600, 400));
}

int CHalloMFCWnd::OnCreate(LPCREATESTRUCT lpcs)
{
	if (CFrameWnd::OnCreate(lpcs) == -1)
		return -1;
	//Hier wird eine API-Funktion aufgerufen
	PlaySound("chord.wav", NULL, SND_FILENAME | SND_ASYNC);
	return 0;
}

void CHalloMFCWnd::OnPaint()
{
	CPaintDC dc(this);
	CRect rect;

	PlaySound("ding.wav", NULL, SND_FILENAME | SND_ASYNC);
	GetClientRect(&rect);
	dc.DrawText("Hallchen!", -1, &rect, DT_SINGLELINE|DT_CENTER|DT_VCENTER);
}
