#include "Bruno.h"

CBrunoApp anApp;

BOOL CBrunoApp::InitInstance()
{
	CBrunoDlg dlg;
	dlg.DoModal();
	return FALSE;
}

CBrunoDlg::CBrunoDlg(CWnd* pParent) : CDialog(IDD_DIALOG, pParent)
{
	m_dNetto = 0.0;
	m_dBrutto = 0.0;
}

void CBrunoDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Text(pDX, IDC_NETTO, m_dNetto);
	DDV_MinMaxDouble(pDX, m_dNetto, 0, 99);
	DDX_Text(pDX, IDC_BRUTTO, m_dBrutto);
	DDX_Control(pDX, IDC_BRUTTO, m_ctrlBrutto);
}

BEGIN_MESSAGE_MAP(CBrunoDlg, CDialog)
	ON_BN_CLICKED(IDOK, OnBerechnen)
	ON_EN_CHANGE(IDC_NETTO, OnChangeNetto)
END_MESSAGE_MAP()

void CBrunoDlg::OnBerechnen()
{
	if (!UpdateData(TRUE)) return;
	m_ctrlBrutto.EnableWindow(TRUE);
	m_dBrutto = 1.16 * m_dNetto;
	UpdateData(FALSE);
}

void CBrunoDlg::OnChangeNetto()
{
	m_ctrlBrutto.EnableWindow(FALSE);
}
